Building python with sqlite3

Justin Li justinli79 at gmail.com
Thu Feb 19 06:49:03 CET 2009


On Feb 18, 6:29 pm, Justin Li <justinl... at gmail.com> wrote:
> On Feb 18, 5:13 pm, Christian Heimes <li... at cheimes.de> wrote:
>
> > Justin Li schrieb:
>
> > > I'm building and installing Ptyhon 2.6.1 on Linux. After configure,
> > > make, make install, to importsqlite3leads to ImportError. It looks
> > > like I have to build Python with sqlite. I havesqlite3installed on
> > > my system. How should I build Python with it? I did not find any
> > > options relating withsqlite3of configure and Makefile.
>
> > Do you have the development files installed as well? Run "make" again
> > and look at the list of missing modules.
>
> > Christian
>
> Thanks for your reply, Christian.
>
> And yes, I have. I looked into this. I'm working on a 64bit machine.
> And thesqlite3is 64bit as well. Should I install a 32bitsqlite3? I
> think when I building python, the configure program should detect if
> my system 32bit or 64bit one and look for propersqlite3version.
>
> Is that the problem?
>
> Thanks again,
> Justin


I fixed it. I download sqlite3 from website and install it. As a
result, it works fine now.



More information about the Python-list mailing list